problema con pacchetti kde

Sezione dedicata alle problematiche sull'uso dei tool di installazione e gestione di pacchetti, in una distribuzione Debian-based.

problema con pacchetti kde

Messaggioda thrantir » 09/09/2005, 9:24

Ho qualche problema con l'upgrade di alcuni pacchetti del kde: dopo aver fatto il dist-upgrade mi dice che alcune dipendenze non sono soddisfatte. Lanciando apt-get install -f tenta di installare il pacchetto x11-common ma non ci riesce, questo è l'errore riportato:

Codice: Seleziona tutto
dpkg: errore processando /var/cache/apt/archives/x11-common_6.8.2.dfsg.1-6_all.deb (--unpack):
 tentata sovrascrittura di `/etc/X11/Xsession', che si trova anche nel pacchetto xorg-common
dpkg-deb: il sottoprocesso paste è stato terminato dal segnale (Pipe rotta)
Sono occorsi degli errori processando:
 /var/cache/apt/archives/x11-common_6.8.2.dfsg.1-6_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


in giro ho trovato poca documentazione, da quello che ho capito si tratta di un errore dovuto all'upgrade a kde 3.4.
Qualcuno ha idea di come risolvere?
Linux User #401652
thrantir
Jr. Member
Jr. Member
 
Messaggi: 70
Iscritto il: 27/06/2005, 2:46

Re: problema con pacchetti kde

Messaggioda Ldonesty » 09/09/2005, 10:44

Se non ricordo male, mi si è presentato lo stesso errore passando tra due versioni di xorg, ovvero da quella vecchia presa e ricompilata dai repository ubuntu a quella nuova ufficiale del team debian.
Hai provato a rimuovere xorg-common ed a reinstallare x11-common?
Con buona probabilita forniscono la stessa cosa, ed hanno in comune dei file.
Il reggiseno e' uno strumento democratico perche' separa la destra dalla sinistra, solleva le masse e attira i popoli.
Avatar utente
Ldonesty
Hero Member
Hero Member
 
Messaggi: 618
Iscritto il: 22/12/2004, 17:31
Località: Un po' a Gaeta, un po' a Signa

Re: problema con pacchetti kde

Messaggioda thrantir » 09/09/2005, 11:04

ok, ora provo grazie :-)
Linux User #401652
thrantir
Jr. Member
Jr. Member
 
Messaggi: 70
Iscritto il: 27/06/2005, 2:46

Re: problema con pacchetti kde

Messaggioda thrantir » 09/09/2005, 11:26

ok, era troppo facile per essere vero...

come faccio a seguire i tuoi consigli se non posso fare niente via apt-get? infatti, qualsiasi cosa io gli chieda di fare, lui pretende che prima risova il problema... che io voglio risolvere!

Come devo procedere?
Linux User #401652
thrantir
Jr. Member
Jr. Member
 
Messaggi: 70
Iscritto il: 27/06/2005, 2:46

Re: problema con pacchetti kde

Messaggioda Ldonesty » 09/09/2005, 11:33

Che cosa *vorrebbe* fare il sistema a seguito di questo comando?
Codice: Seleziona tutto
apt-get -f install


Hai provato per il momento a disinstallare prima il nuovo pacchetto che vuoi mettere (x11-common), togliere il vecchio e successivamente rimettere il nuovo?
Il reggiseno e' uno strumento democratico perche' separa la destra dalla sinistra, solleva le masse e attira i popoli.
Avatar utente
Ldonesty
Hero Member
Hero Member
 
Messaggi: 618
Iscritto il: 22/12/2004, 17:31
Località: Un po' a Gaeta, un po' a Signa

Re: problema con pacchetti kde

Messaggioda thrantir » 09/09/2005, 11:53

con quel comando il sistema tenta di terminare l'installazione di quel pacchetto che non è riuscito a installare e che induce delle dipendenze non risolte... e mi da l'errore che ho messo nel primo post
Linux User #401652
thrantir
Jr. Member
Jr. Member
 
Messaggi: 70
Iscritto il: 27/06/2005, 2:46

Re: problema con pacchetti kde

Messaggioda thrantir » 09/09/2005, 11:55

credo che l'unico modo per procedere sia utilizzare dpkg, apt-get mi sembra totalmente inibito dalla presenza di questo errore
Linux User #401652
thrantir
Jr. Member
Jr. Member
 
Messaggi: 70
Iscritto il: 27/06/2005, 2:46

Re: problema con pacchetti kde

Messaggioda thrantir » 12/09/2005, 19:04

Ho risolto!

Grazie a un amico, che mi ha illuminato:

Quello che sta succedendo e` che due pacchetti cercano di installare la
stessa directory, e dpkg si ferma. Per risolvere devi installare
direttamente il pacchetto usando alcune opzioni di dpkg


in pratica ho dovuto installare il pacchetto con dpkg specificando le opzioni --force-overwrite e tutto è andato a posto
Linux User #401652
thrantir
Jr. Member
Jr. Member
 
Messaggi: 70
Iscritto il: 27/06/2005, 2:46


Torna a Apt-get and friends

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite